Package org.python.core

## Class IdImpl.WeakIdentityMap

- java.lang.Object
- - org.python.core.IdImpl.WeakIdentityMap

- Enclosing class:
    IdImpl

      public static class IdImpl.WeakIdentityMap
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WeakIdentityMap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `_internal_map_size()` |
    `java.lang.Object` | `get​(java.lang.Object key)` |
    `void` | `put​(java.lang.Object key, java.lang.Object val)` |
    `void` | `remove​(java.lang.Object key)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WeakIdentityMap

          public WeakIdentityMap()

  - ### Method Detail

    - #### _internal_map_size

          public int _internal_map_size()

    - #### put

          public void put​(java.lang.Object key,
                          java.lang.Object val)

    - #### get

          public java.lang.Object get​(java.lang.Object key)

    - #### remove

          public void remove​(java.lang.Object key)